
Redmine - Defect #2970

repository/committers doesn't allow post requests anymore

2009-03-14 21:53 - Anonymous

Status: Closed Start date: 2009-03-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Seems the route reorganisation of r2581 broke the assignment of redmine account to repository users, since only get requests are

allowed for all repository actions.

I have a patch for config/routes.rb ready for inspection at 

http://github.com/bkw/redmine/commit/5fbb8e36ad45b4b1909e97fa67b13fce366c345e that works for me, but since I'm very new to

this whole thing you'll probably want to use a more elegent approach to allow posts to repository/commiters again.

Associated revisions

Revision 2590 - 2009-03-15 10:35 - Jean-Philippe Lang

Fixing routes broken by r2581 (#2967, #2970).

History

#1 - 2009-03-15 10:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r2590.

Files

repo-routes.patch 549 Bytes 2009-03-14 Anonymous
